# sc::MOIntsTransformFactory Class Reference

MOIntsTransformFactory is a factory that produces MOIntsTransform objects. More...

`#include <transform_factory.h>`

Inheritance diagram for sc::MOIntsTransformFactory:

List of all members.

## Public Types
enum | StoreMethod { mem_posix = 0, posix = 1, mem_mpi = 2, mpi = 3, mem_only = 4 }
| Describes the method of storing transformed MO integrals.
## Public Member Functions
| MOIntsTransformFactory (StateIn &)
| MOIntsTransformFactory (const Ref< Integral > &integral, const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2=0, const Ref< MOIndexSpace > &space3=0, const Ref< MOIndexSpace > &space4=0)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | set_spaces (const Ref< MOIndexSpace > &space1, const Ref< MOIndexSpace > &space2=0, const Ref< MOIndexSpace > &space3=0, const Ref< MOIndexSpace > &space4=0)
| Sets the orbital spaces.
void | set_top_mole (const Ref< MolecularEnergy > &top_mole)
| Specifies the top-level MolecularEnergy object to use for checkpointing.
void | set_ints_method (const StoreMethod method)
| Sets the method of storing transformed MO integrals. Default method is mem_posix.
void | set_file_prefix (const std::string &prefix)
| Sets the name of the file to hold the integrals.
void | set_debug (int debug)
void | set_dynamic (bool dynamic)
void | set_print_percent (double print_percent)
void | set_memory (size_t nbytes)
Ref< Integral > | integral () const
| Returns the Integral factory.
const StoreMethod | ints_method () const
| Returns the method of storing transformed MO integrals.
const std::string | file_prefix () const
| Sets the name of the file to hold the integrals.
const int | debug () const
const bool | dynamic () const
const double | print_percent () const
const size_t | memory () const
Ref< MOIndexSpace > | space1 () const
| Returns MOIndexSpace object 1.
Ref< MOIndexSpace > | space2 () const
| Returns MOIndexSpace object 2.
Ref< MOIndexSpace > | space3 () const
| Returns MOIndexSpace object 3.
Ref< MOIndexSpace > | space4 () const
| Returns MOIndexSpace object 4.
Ref< TwoBodyMOIntsTransform > | twobody_transform_13 (const std::string &id)
| Creates an TwoBodyMOIntsTransform object that will compute (pq|rs) integrals stored in qs blocks for each pr.
Ref< TwoBodyMOIntsTransform > | twobody_transform_12 (const std::string &id)
| Creates an TwoBodyMOIntsTransform object that will compute (pq|rs) integrals stored in rs blocks for each pq.

## Detailed Description

MOIntsTransformFactory is a factory that produces MOIntsTransform objects.

## Member Function Documentation

void sc::MOIntsTransformFactory::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

The documentation for this class was generated from the following file:

- transform_factory.h